## Interface IModule

Description

IModule interface.

This interface must be implemented by application modules.

- since: 3.0
- version: $Id: interfaces.php 1693 2007-02-13 04:33:05Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /interfaces.php (line 23)

Method Summary
string getID ()
void init (TXmlElement $config)
void setID (string $id)
Methods
getID (line 33)

- return: ID of the module
- access: public

string getID ()
init (line 29)

Initializes the module.

- access: public

void init (TXmlElement $config)

- TXmlElement $config: the configuration for the module

setID (line 37)

- access: public

void setID (string $id)

- string $id: ID of the module

Documentation generated on Mon, 21 Apr 2008 11:29:23 -0400 by phpDocumentor 1.3.0RC4